function [xi, i] = fixpont(g, x0, delta, N)
% Az eljrs a fixpont mdszer segtsgvel, az x=g(x) alakban megadott 
% nemlineris egyenlet megoldst adja.
%
% Bemen paramterek:
%   g - egyvltozs fggvny, f(x)=0 talaktva x=g(x) alakra
%   x0 - kezd rtk
%   delta - lellsi felttel, kzelts kszbrtke
%   N - lellsi felttel, maximlis iterc szm
%
% Kimenet:
%   xi - a megolds helye
%   i - itercik szma

    xi = g(x0); % els kzelts;
    i = 1; % iterci szma
     while abs(g(x0)-x0)>delta && i<=N
        x0 = xi;
        xi = g(xi);
        i = i + 1;
    end
end