function [x1, n] = newtonsys (f, J, x0, eps, nmax)
% Az eljrs a newton mdszer segtsgvel hatrozza meg egy tbbvltozs 
% nemlineris egyenletrendszer megoldst
%
% Bemen paramterek:
%   f - tbbvltozs egyenletrendszer
%   J - az egyenletrendszer Jacobi mtrixa
%   x0 - kezd rtk
%   eps - lellsi felttel, kzelts kszbrtke
%   nmax - lellsi felttel, maximlis iterc szm
% Kimenet: x1 - a megolds helye, n - itercik szma
    dx = J(x0)\-f(x0); % els iterci
    x1 = x0 + dx;      % els iterci
    n = 1;
    while norm(x1-x0)>eps && n<=nmax
        x0 = x1;
        dx = J(x0)\-f(x0);
        x1 = x0 + dx;
        n = n + 1;
    end;
end
    
